Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.dropboxsupport
Class DirectoryStructure

    java.lang.Object
      net.sf.dropboxmq.dropboxsupport.DirectoryStructure

    public class DirectoryStructure

extends Object

Created: 15 Nov 2008

Version:
  $Revision: 231 $, $Date: 2011-08-12 21:50:47 -0600 (Fri, 12 Aug 2011) $
Author:
  Dwayne Schultz

Field Summary
`static String` | `CLIENTS_SUB_DIR`
`static String` | `DELETED_NAME_PREFIX`
`static String` | `DROPBOXMQ_SUB_DIR`
`static String` | `ERROR_DIR_NAME`
`static String` | `EXPIRED_DESTINATION_SUFFIX`
`static String` | `EXPIRED_DIR_NAME`
`static int` | `FILENAME_MAX_LENGTH`
`static String` | `INCOMING_DIR_NAME`
`static String` | `PROCESSED_DIR_NAME`
`static String` | `PROCESSING_DESTINATION_SUFFIX`
`static String` | `PROCESSING_DIR_NAME`
`static String` | `RECOVER_ERROR_DESTINATION_SUFFIX`
`static String` | `REJECT_ERROR_DESTINATION_SUFFIX`
`static String` | `SUBSCRIPTIONS_DIR_NAME`
`static String` | `TARGET_DIR_NAME`
`static String` | `TOPIC_INCOMING_DIR_NAME`
`static String` | `TOPIC_ROOT_SUB_DIR`
`static String` | `WORKING_DIR_NAME`

Constructor Summary
`DirectoryStructure(String clientId, DestinationImpl destination, String subscriptionName, boolean noLocal, Configuration configuration)`

Method Summary
`void` | `createDropbox()`
`static void` | `createDropbox(DestinationImpl destination, Configuration configuration)`
`static void` | `deleteDropbox(Destination destination, Configuration configuration)`
`static void` | `deleteDropboxDirectory(File file, Configuration configuration)`
`static boolean` | `doesDropboxExist(Destination destination, Configuration configuration)`
`static File` | `findDurableSubscriptionDir(String subscriptionName, String clientId, Configuration configuration)`
`static File` | `getDropboxDir(Destination destination, Configuration configuration)`
`File` | `getErrorDir()`
`File` | `getExpiredDir()`
`File` | `getIncomingDir()`
`File` | `getProcessedDir()`
`File` | `getProcessingDir()`
`File` | `getSubscriptionDir()`
`File` | `getTargetDir()`
`File` | `getWorkingDir()`
`protected String` | `toObjectString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOPIC_ROOT_SUB_DIR

    public static final String TOPIC_ROOT_SUB_DIR

See Also:
  Constant Field Values

### DROPBOXMQ_SUB_DIR

    public static final String DROPBOXMQ_SUB_DIR

See Also:
  Constant Field Values

### CLIENTS_SUB_DIR

    public static final String CLIENTS_SUB_DIR

### PROCESSING_DESTINATION_SUFFIX

    public static final String PROCESSING_DESTINATION_SUFFIX

See Also:
  Constant Field Values

### EXPIRED_DESTINATION_SUFFIX

    public static final String EXPIRED_DESTINATION_SUFFIX

See Also:
  Constant Field Values

### RECOVER_ERROR_DESTINATION_SUFFIX

    public static final String RECOVER_ERROR_DESTINATION_SUFFIX

See Also:
  Constant Field Values

### REJECT_ERROR_DESTINATION_SUFFIX

    public static final String REJECT_ERROR_DESTINATION_SUFFIX

See Also:
  Constant Field Values

### FILENAME_MAX_LENGTH

    public static final int FILENAME_MAX_LENGTH

See Also:
  Constant Field Values

### INCOMING_DIR_NAME

    public static final String INCOMING_DIR_NAME

See Also:
  Constant Field Values

### WORKING_DIR_NAME

    public static final String WORKING_DIR_NAME

See Also:
  Constant Field Values

### TARGET_DIR_NAME

    public static final String TARGET_DIR_NAME

See Also:
  Constant Field Values

### PROCESSING_DIR_NAME

    public static final String PROCESSING_DIR_NAME

See Also:
  Constant Field Values

### PROCESSED_DIR_NAME

    public static final String PROCESSED_DIR_NAME

See Also:
  Constant Field Values

### ERROR_DIR_NAME

    public static final String ERROR_DIR_NAME

See Also:
  Constant Field Values

### EXPIRED_DIR_NAME

    public static final String EXPIRED_DIR_NAME

See Also:
  Constant Field Values

### SUBSCRIPTIONS_DIR_NAME

    public static final String SUBSCRIPTIONS_DIR_NAME

See Also:
  Constant Field Values

### TOPIC_INCOMING_DIR_NAME

    public static final String TOPIC_INCOMING_DIR_NAME

See Also:
  Constant Field Values

### DELETED_NAME_PREFIX

    public static final String DELETED_NAME_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### DirectoryStructure

    public DirectoryStructure(String clientId,
                              DestinationImpl destination,
                              String subscriptionName,
                              boolean noLocal,
                              Configuration configuration)
                       throws JMSException

Throws:
  `JMSException`

Method Detail

### getDropboxDir

    public static File getDropboxDir(Destination destination,
                                     Configuration configuration)

### createDropbox

    public static void createDropbox(DestinationImpl destination,
                                     Configuration configuration)
                              throws JMSException

  Throws:
    `JMSException`

### doesDropboxExist

    public static boolean doesDropboxExist(Destination destination,
                                           Configuration configuration)

### deleteDropbox

    public static void deleteDropbox(Destination destination,
                                     Configuration configuration)
                              throws JMSException

  Throws:
    `JMSException`

### deleteDropboxDirectory

    public static void deleteDropboxDirectory(File file,
                                              Configuration configuration)
                                       throws JMSException

  Throws:
    `JMSException`

### findDurableSubscriptionDir

    public static File findDurableSubscriptionDir(String subscriptionName,
                                                  String clientId,
                                                  Configuration configuration)
                                           throws JMSException

  Throws:
    `JMSException`

### createDropbox

    public final void createDropbox()
                             throws FileSystem.FileSystemException

  Throws:
    `FileSystem.FileSystemException`

### getIncomingDir

    public File getIncomingDir()

### getWorkingDir

    public File getWorkingDir()

### getTargetDir

    public File getTargetDir()

### getProcessingDir

    public File getProcessingDir()

### getProcessedDir

    public File getProcessedDir()

### getExpiredDir

    public File getExpiredDir()

### getErrorDir

    public File getErrorDir()

### getSubscriptionDir

    public File getSubscriptionDir()

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD